//
//  MainViewController.swift
//  Hipstr
//
//  Created by Michael Gazzola on 2/2/15.
//  Copyright (c) 2015 Michael Gazzola. All rights reserved.
//

import UIKit

class MainViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        let screenBounds = UIScreen.mainScreen().bounds
        let loginButton = ButtonFactory.buttonWithType(.LoginButton, title: "Login!")
        loginButton.center = CGPoint(x: CGRectGetMidX(screenBounds),
                                     y: CGRectGetMaxY(screenBounds) * 0.7)
        
        let registerButton = ButtonFactory.buttonWithType(.RegisterButton,
                                                          title: "Register!")
        registerButton.center = CGPoint(x: CGRectGetMidX(screenBounds),
                                        y: CGRectGetMaxY(screenBounds) * 0.85)
        
        let backgroundImage = UIImage(named: "bench.png")
        let backgroundImageView = UIImageView(image: backgroundImage)
        
        let darkOverlay = UIView(frame: screenBounds)
        darkOverlay.backgroundColor = UIColor.blackColor().colorWithAlphaComponent(0.15)
        
        let titleLabel = UILabel(frame: CGRectZero)
        titleLabel.text = "Hipstr";
        titleLabel.font = UIFont(name: "ImpregnablePersonalUseOnly", size: 100)
        titleLabel.textColor = UIColor.whiteColor()
        titleLabel.layer.shadowColor = UIColor.darkGrayColor().CGColor
        titleLabel.layer.shadowOffset = CGSize(width: 1.0, height: 1.0)
        titleLabel.layer.shadowRadius = 3.0
        titleLabel.layer.shadowOpacity = 1.0;
        titleLabel.sizeToFit()
        titleLabel.textAlignment = NSTextAlignment.Center
        titleLabel.center = CGPoint(x: CGRectGetMidX(screenBounds),
                                    y: CGRectGetMaxY(screenBounds) * 0.15)
    
        self.view.addSubview(backgroundImageView)
        self.view.addSubview(darkOverlay)
        self.view.addSubview(loginButton)
        self.view.addSubview(registerButton)
        self.view.addSubview(titleLabel)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
